org.modeshape.connector.git

## Class GitTree

- java.lang.Object
- - org.modeshape.connector.git.GitFunction
  - - org.modeshape.connector.git.GitTree

- All Implemented Interfaces:
    PageableGitFunction

      public class GitTree
      extends GitFunction
      implements PageableGitFunction

  A function that returns the file and directory structure within a particular commit. The structure of this area of the repository is as follows:

         /tree/{branchOrTagOrObjectId}/{filesAndFolders}/...

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ID`
    `protected static String` | `JCR_CONTENT`
    `protected static String` | `JCR_CONTENT_SUFFIX`
    `protected static String` | `NAME`

    - ### Fields inherited from class org.modeshape.connector.git.GitFunction

      `connector, DEFAULT_PAGE_SIZE, DELIMITER, name, pageSize, REMOTE_BRANCH_PREFIX, REVERSE_REF_COMPARATOR, TAG_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitTree(GitConnector connector)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addInformationForPath(org.eclipse.jgit.lib.Repository repository, org.eclipse.jgit.api.Git git, DocumentWriter writer, org.eclipse.jgit.revwalk.RevCommit commit, String path, CallSpecification spec, Values values)`
    `Document` | `execute(org.eclipse.jgit.lib.Repository repository, org.eclipse.jgit.api.Git git, CallSpecification spec, DocumentWriter writer, Values values)`
    `Document` | `execute(org.eclipse.jgit.lib.Repository repository, org.eclipse.jgit.api.Git git, CallSpecification spec, PageWriter writer, Values values, PageKey pageKey)`
    `boolean` | `isPaged()`
    `protected boolean` | `isQueryable(CallSpecification callSpec)`
    `protected static Object` | `referenceToTree(org.eclipse.jgit.lib.ObjectId commitId, String branchOrTagOrCommitId, Values values)`

    - ### Methods inherited from class org.modeshape.connector.git.GitFunction

      `addBranchesAsChildren, addCommitsAsChildren, addCommitsAsPageOfChildren, addTagsAsChildren, authorName, branchRefForName, branchRefForName, commiterName, getName, resolveBranchOrTagOrCommitId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JCR_CONTENT

          protected static final String JCR_CONTENT

      See Also:
        Constant Field Values

    - #### JCR_CONTENT_SUFFIX

          protected static final String JCR_CONTENT_SUFFIX

      See Also:
        Constant Field Values

    - #### NAME

          protected static final String NAME

      See Also:
        Constant Field Values

    - #### ID

          protected static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GitTree

          public GitTree(GitConnector connector)

  - ### Method Detail

    - #### referenceToTree

          protected static Object referenceToTree(org.eclipse.jgit.lib.ObjectId commitId,
                               String branchOrTagOrCommitId,
                               Values values)

    - #### execute

          public Document execute(org.eclipse.jgit.lib.Repository repository,
                         org.eclipse.jgit.api.Git git,
                         CallSpecification spec,
                         DocumentWriter writer,
                         Values values)
                           throws org.eclipse.jgit.api.errors.GitAPIException,
                                  IOException

      Specified by:
        `execute` in class `GitFunction`
      Throws:
        `org.eclipse.jgit.api.errors.GitAPIException`
        `IOException`

    - #### addInformationForPath

          protected void addInformationForPath(org.eclipse.jgit.lib.Repository repository,
                                   org.eclipse.jgit.api.Git git,
                                   DocumentWriter writer,
                                   org.eclipse.jgit.revwalk.RevCommit commit,
                                   String path,
                                   CallSpecification spec,
                                   Values values)
                                        throws org.eclipse.jgit.api.errors.GitAPIException,
                                               IOException

      Throws:
        `org.eclipse.jgit.api.errors.GitAPIException`
        `IOException`

    - #### isPaged

          public boolean isPaged()

      Overrides:
        `isPaged` in class `GitFunction`

    - #### execute

          public Document execute(org.eclipse.jgit.lib.Repository repository,
                         org.eclipse.jgit.api.Git git,
                         CallSpecification spec,
                         PageWriter writer,
                         Values values,
                         PageKey pageKey)
                           throws org.eclipse.jgit.api.errors.GitAPIException,
                                  IOException

      Specified by:
        `execute` in interface `PageableGitFunction`
      Throws:
        `org.eclipse.jgit.api.errors.GitAPIException`
        `IOException`

    - #### isQueryable

          protected boolean isQueryable(CallSpecification callSpec)

      Overrides:
        `isQueryable` in class `GitFunction`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.